Holger's Java API

## com.antelmann.net.mail
Class HtmlEmailExtractor

    java.lang.Object
      com.antelmann.net.mail.HtmlEmailExtractor

All Implemented Interfaces:
  PatternExtractor<Object,Email>

    public class HtmlEmailExtractor

extends Object
implements PatternExtractor<Object,Email>

useful for creating emails with embedded images from various sources while maintaining links from HTML documents

Since:
  25.02.2009, 11:01:11
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.util.PatternExtractor
`SELF_EXTRACTOR, STRING_EXTRACTOR`

Constructor Summary
`HtmlEmailExtractor()`

Method Summary
`Email` `extractPattern(Object source)` extracts a defined pattern from the given object.
`Email` `generateEmail(AbstractOfficeDocument doc)`
`Email` `generateEmail(File htmlSourceFile)`
`Email` `generateEmail(InputStream in, URL baseRef, String charset)`
`Email` `generateEmail(URL sourceURL)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlEmailExtractor

    public HtmlEmailExtractor()

Method Detail

### generateEmail

    @ThirdParty(value="uses OpenOffice")
    public Email generateEmail(AbstractOfficeDocument doc)
                        throws IOException,
                               OfficeException

  Throws:
    `IOException`
    `OfficeException`

### generateEmail

    public Email generateEmail(URL sourceURL)
                        throws IOException

  Throws:
    `IOException`

### generateEmail

    public Email generateEmail(File htmlSourceFile)
                        throws IOException

  Throws:
    `IOException`

### generateEmail

    public Email generateEmail(InputStream in,
                               URL baseRef,
                               String charset)
                        throws IOException

  Throws:
    `IOException`

### extractPattern

    public Email extractPattern(Object source)

  Description copied from interface: `PatternExtractor`
  extracts a defined pattern from the given object. Depending on implementation, this method may also be allowed to return null.

  Specified by:
    `extractPattern` in interface `PatternExtractor<Object,Email>`
  Returns:
    the pattern that results from extracting the relevant information from the original type.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads